=== modified file 'loco_directory/articles/admin.py'
--- loco_directory/articles/admin.py	2011-06-01 22:19:20 +0000
+++ loco_directory/articles/admin.py	2012-06-01 22:28:09 +0000
@@ -1,13 +1,14 @@
 from articles.models import Feed, Article
 from django.contrib import admin
 
+
 class FeedAdmin(admin.ModelAdmin):
     list_display = ('title', 'team', 'user', 'url', 'last_updated')
     list_filter = ('team',)
 admin.site.register(Feed, FeedAdmin)
 
+
 class ArticleAdmin(admin.ModelAdmin):
     list_display = ('title', 'source', 'published', 'imported')
     list_filter = ('source',)
 admin.site.register(Article, ArticleAdmin)
-

=== modified file 'loco_directory/articles/models.py'
--- loco_directory/articles/models.py	2011-09-01 16:44:24 +0000
+++ loco_directory/articles/models.py	2012-06-01 22:28:09 +0000
@@ -6,13 +6,13 @@
 import urllib2
 
 from django.db import models
-from django.contrib.auth.models import User
 from django.utils.html import strip_tags
 from django.conf import settings
 
 from teams.models import Team
 from userprofiles.models import UserProfile
 
+
 def create_feed(user, url):
     data = feedparser.parse(url)
     feed = Feed(
@@ -23,15 +23,17 @@
     feed.save()
     feed.update(data)
 
+
 def get_entry_id(entry, feed):
     if hasattr(entry, 'id'):
         return entry.id
-        
+
     if hasattr(entry, 'link'):
         return entry.link
-        
+
     return '%s:%s' % (feed.id, hash(entry.title))
-    
+
+
 class Feed(models.Model):
     user = models.ForeignKey(UserProfile, blank=True, null=True)
     team = models.ForeignKey(Team, blank=True, null=True)
@@ -53,10 +55,10 @@
             handlers = []
             proxy = getattr(settings, 'HTTP_PROXY', None)
             if proxy:
-                handlers.append(urllib2.ProxyHandler( {"http": proxy} ))
+                handlers.append(urllib2.ProxyHandler({"http": proxy}))
             data = feedparser.parse(self.url, modified=self.last_updated.utctimetuple(), handlers=handlers)
             socket.setdefaulttimeout(old_timeout)
-            
+
         if not data or not hasattr(data, 'entries') or len(data.entries) == 0:
             # No new entries for this feed
             return
@@ -103,6 +105,7 @@
         obsolete_articles = existing_articles - returned_articles
         Article.objects.filter(source=self, uid__in=obsolete_articles).delete()
 
+
 class Article(models.Model):
     source = models.ForeignKey(Feed, null=True, blank=True)
     uid = models.CharField(max_length=256)
@@ -114,7 +117,7 @@
     snippet = models.CharField(max_length=512, null=True, blank=True)
 
     class Meta:
-        ordering = ['-imported', '-published',]
+        ordering = ['-imported', '-published', ]
 
     def __unicode__(self):
         return u'%s (%s)' % (self.title, self.author)

=== modified file 'loco_directory/articles/tests.py'
--- loco_directory/articles/tests.py	2011-08-27 16:05:53 +0000
+++ loco_directory/articles/tests.py	2012-06-01 22:28:09 +0000
@@ -1,8 +1,8 @@
 from django.test import TestCase
-from django.test.client import Client
 
 from articles.models import Feed, Article
 
+
 class ArticlesTests(TestCase):
 
     def setUp(self):
@@ -14,7 +14,8 @@
         """Just make sure everything is set up correctly."""
         self.assert_(True)
         try:
-            import feedparser
+            import feedparser  # NOQA
+            print feedparser.__version__
         except:
             self.assert_(False)
 

=== modified file 'pylint.rc'
--- pylint.rc	2012-05-26 13:57:29 +0000
+++ pylint.rc	2012-06-01 22:28:09 +0000
@@ -15,7 +15,7 @@
 # W0613 Unused argument %r Used when a function or method argument is not used.
 # W0702 No exception's type specified Used when an except clause doesn't specify exceptions type to catch.
 # R0201 Method could be a function
-disable=C0111,I0011,I0012,W0704,W0142,W0212,W0232,W0613,W0702,R0201
+disable=C0111,I0011,I0012,W0704,W0142,W0212,W0232,W0613,W0702,R0201,R0903,R0904,R0914
 
 [REPORTS]
 output-format=parseable

